#mainContainer {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
}

#buildContainer {
    width: 60%;
}

#generalContainer {
    display: flex;
    flex-direction: row;
    width: 100%;
}

#mainImg {
    width: 200px;
    height: 90px;
    margin-right: 10px;
    background-color: black;
}

.abilityImg {
    width: 60px;
}

#abilityContainer {
    width: 100%;
}

#loreTitle {
    width: 60%;
    margin-right: 15px;
    display: flex;
    flex-direction: column;
}

#controlsContainer {
    display: flex;
    flex-direction: column;
    align-content: center;
}

.button {
    width: 100px;
    margin-bottom: 5px;
}

#buildName {
    width: 92px;
    margin-bottom: 5px;
}

.dropbtn {
    background-color: gray;
    width: 100px;
    color: white;
    font-size: 12px;
    border: none;
    margin-bottom: 5px;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
    display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-contentNew {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-contentNew a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-contentLoad {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

.dropdown-contentLoad a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

/* Change color of dropdown links on hover */


#dataBuild {
    display: flex;
    flex-direction: row;
}

#dataContainer {
    display: flex;
    width: 20%;
    flex-direction: column;
    align-content: center;
}

#slotContainer {
    width: 65%;
}

#slotTable {
    border-collapse: separate;
    width: 100%;
    margin-left: 5%;
    border-spacing: 0.5cm;
}

.modSlot {
    border: 1px solid #000;
    width: 4cm;
    height: 2cm;

    position: relative;
}

.disabled {
    visibility: hidden;
    border-color: transparent;
}

.polarityImg {
    position: absolute;
    top: 0;
    right: 0;
    width: 1cm;
    height: 1cm;
}

.abilityHover {
    position: relative;
    display: inline-block;
}

.table-overlay {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 200px;
    background-color: #fff;
    border: 1px solid #ccc;
    padding: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    z-index: 1;
}

.abilityHover:hover .table-overlay {
    display: block;
}

#modArcaneList {
    border: 1px solid #000;
    width: 50%;
}

.list-container {
    max-width: 800px;
    margin: 0 auto;
}

.horizontal-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 10px;
}

.list-item {
    width: calc(25% - 10px);
    margin-bottom: 10px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    padding: 10px;
}
